(use-modules (gnu home)
             (gnu packages)
	     (gnu packages gnupg)
	     (gnu packages shells)
             (gnu services)
             (guix gexp)
	     (guix channels)
	     (gnu home services)
	     (gnu home services guix)
	     (gnu home services ssh)
	     (gnu home services desktop)
	     (gnu home services dotfiles)
             (gnu home services shells)
	     (gnu home services gnupg))

(define dotfiles-dir "/home/w96k/projects/dotfiles/")

(define wkz-home (home-environment
		  (packages (specifications->packages (list
						       "guix"
						       "ratpoison"
						       "xdot"
						       "graphviz"
						       "sed"
						       "darktable"
                                            "openssh"
                                            "docker-compose"
                                            "emacs-company"
                                            "emacs-f"
                                            "emacs-s"
					    "emacs-xterm-color"
                                            "emacs-lsp-mode"

					    "guile"
					    "guile-readline"
					    "guile-colorized"
					    "emacs-geiser"
					    "emacs-geiser-guile"
					    
					    "emacs-telega"
					    "emacs-guix"
					    "emacs-simple-httpd"
					    "emacs-osm"
                                            "wget"
                                            "bitcoin-core"
                                            "xrandr"
                                            "unzip"
                                            "zip"
                                            "mpv"
                                            "emacs-rmsbolt"
                                            "git"
                                            ;; "wkz-emacs"
					    "emacs-no-x-toolkit"
					    "emacs-gptel"
                                            "lm-sensors"
                                            "htop"
                                            "make"
                                            "emacs-simple-httpd"
                                            "emacs-guix"
                                            "emacs-telega"
                                            "gimp"
                                            "imagemagick"
                                            "stow"
                                            "icecat"
                                            "smartmontools"
                                            "lshw"
                                            "hwinfo"
                                            "ntfs-3g"
                                            "qbittorrent"
                                            "x11-ssh-askpass"
                                            "syncthing"
                                            "pavucontrol"
                                            "arp-scan"
                                            "proot"
                                            "openconnect"
                                            "alsa-utils"
                                            "grep"
					    "xlockmore"
					    "bitcoin-core"
					    "x11-ssh-askpass"
					    "pinentry-emacs"
					    "texlive"
					    "fetchmail"
					    "gnupg"
					    "xhost"

					    ;; "wkz-php"
					    ;; "wkz-python"
					    ;; "wkz-ruby"
					    )))

  ;; Below is the list of Home services.  To search for available
  ;; services, run 'guix home search KEYWORD' in a terminal.
  (services
   (list
    ;; (service home-run-on-first-login-service-type)
    ;; (service home-activation-service-type)
    
    (service home-bash-service-type
                  (home-bash-configuration
		   (guix-defaults? #t)
                   (aliases '(("grep" . "grep --color=auto")
                              ("ip" . "ip -color=auto")
                              ("ll" . "ls -l")
                              ("ls" . "ls -p --color=auto")))
                   (bashrc (list (local-file
                                  ".bashrc"
                                  "bashrc")))
                   ;; (bash-profile (list (local-file
                   ;;                      ".bash_profile"
                   ;;                      "bash_profile")))
		   ))

    (service home-redshift-service-type
	     (home-redshift-configuration
	      (location-provider 'manual)
	      (latitude 41.71)
	      (longitude 44.82)
	      ))

    ;; (service home-x11-display-service-type)
	 (service home-gpg-agent-service-type
         (home-gpg-agent-configuration
          (pinentry-program
           (file-append pinentry-emacs "/bin/pinentry-emacs"))
          (ssh-support? #t)))

	 (service home-unclutter-service-type
		  (home-unclutter-configuration
		   (idle-timeout 1)))

	 (service home-openssh-service-type
		  (home-openssh-configuration
		   (authorized-keys (list (local-file "id_rsa.pub")))))

	 (service home-startx-command-service-type
		   (xorg-configuration (keyboard-layout (keyboard-layout "us,ru"
									 #:options '("grp:shifts_toggle" "ctrl:nocaps")))))

	 ;; (service home-files-service-type `((".xinitrc" ,(local-file ".xinitrc" "xinitrc"))))

	 (service home-dotfiles-service-type
		  (home-dotfiles-configuration
		   ;; (layout 'stow)
		   (directories '(
				  "/home/w96k/projects/dotfiles/X"
				  "/home/w96k/projects/dotfiles/wm"
				  "/home/w96k/projects/dotfiles/emacs"
				  "/home/w96k/projects/dotfiles/cvs"
				  "/home/w96k/projects/dotfiles/guix"
				  ))))

	 ;; (service home-ssh-agent-service-type
	 ;; 	  (home-ssh-agent-configuration
	 ;; 	   (extra-options '("-t" "1h30m"))))

	 (simple-service 'nonguix-service 
                home-channels-service-type
                (list
		 (channel
		  (name 'nonguix)
		  (url "https://gitlab.com/nonguix/nonguix")
		  (introduction
		   (make-channel-introduction
		    "897c1a470da759236cc11798f4e0a5f7d4d59fbc"
		    (openpgp-fingerprint
		     "2A39 3FFF 68F4 EF7A 3D29 12AF 6F51 20A0 22FB B2D5"))))))
	 ))))

wkz-home
